.Product_Page .newProductPageV2 {
  padding: 10px;
  background-color: var(--themeUltraLight);
}
.Product_Page .newProductPageV2Main {
  background-color: #ffffff;
  padding: 10px;
  border-radius: 5px;
  align-items: flex-start;
}
.Product_Page .imagesV2 {
  display: grid;
  grid-template-columns: 130px auto;
  gap: 10px;
  align-items: flex-start;
  position: relative;
}
.Product_Page .allImages {
  /* display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 130px; */
  gap: 10px;
  max-height: 600px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}
.Product_Page .slideBtn {
  background-color: #ffffffaa;
  padding: 5px;
  position: absolute;
  text-align: center;
  width: 120px;
  z-index: 9;
  cursor: pointer;
  left: 0;
  transition: 0.5s;
}
.Product_Page .slideBtn:hover {
  background-color: #ffffff;
}
.Product_Page .slideBtnTop {
  top: 0;
}
.Product_Page .slideBtnBottom {
  bottom: 0;
}
.Product_Page .mainImage {
  position: relative;
  height: auto;
  aspect-ratio: 1/1;
  border: 0.1px solid #00000029;
  display: flex;
  align-items: center;
  justify-content: center;
}
.Product_Page .zoomSec {
  position: absolute;
  bottom: 10px;
  right: 10px;
  width: 50px;
  height: 50px;
  background-color: var(--btnColor);
  border-radius: 50%;
  cursor: pointer;
}
.Product_Page .zoomSec svg {
  width: 20px;
}
.Product_Page .zoomSec svg path {
  fill: var(--btnTextColor);
}
.Product_Page .mainImage img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.Product_Page .mainImage video {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.Product_Page .imageList {
  width: 130px;
  height: 130px;
  border: 0.1px solid #00000029;
  position: relative;
}
.Product_Page .imageList img,
.Product_Page .imageList video {
  width: 100%;
  height: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
}
.Product_Page .imagePlayBtn {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  background-color: #000000aa;
  color: #ffffff;
  cursor: pointer;
}
.Product_Page .slideDescV2Heading {
  display: grid;
  grid-template-columns: 1fr 50px;
  font-weight: 600;
  font-size: 16px;
  padding: 10px;
  border: 0.5px solid #00000019;
  border-radius: 5px;
  align-items: center;
  cursor: pointer;
  margin-top: 5px;
}
.Product_Page .headingArrow {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.Product_Page .slideDescV2Desc {
  padding: 10px;
  border: 0.5px solid #00000019;
  margin-top: 5px;
}
.Product_Page .imagesV2Sticky {
  position: sticky;
  top: 160px;
}
.Product_Page .relatedHeading {
  font-size: 30px;
  font-weight: 600;
  padding: 20px;
}
.Product_Page .highlights {
  margin: 20px 0px 20px 20px;
}
.Product_Page .highlights p {
  font-size: 13px;
  line-height: 25px;
}
.Product_Page .shareBtn {
  position: absolute;
  top: 5px;
  right: 5px;
  width: 50px;
  height: 50px;
  background-color: var(--themeUltraLight);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  cursor: pointer;
  z-index: 2;
  transition: 0.3s;
}
.Product_Page .shareBtn svg {
  color: var(--paragraphColorBlack);
  transition: 0.3s;
}
.Product_Page .shareBtn:hover {
  background-color: var(--themeColor1);
}
.Product_Page .shareBtn:hover svg {
  color: var(--paragraphColorWhite);
}
.Product_Page .outerBox {
  display: none;
}
.Product_Page .shareBtnBox {
  width: 280px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 15px 10px;
  border-radius: 10px;
  background-color: #ffffff;
  box-shadow: 0px 0px 5px 0px #00000020;
  position: absolute;
  top: 60px;
  right: 0px;
  z-index: 10;
}
.Product_Page .shareCard {
  cursor: pointer;
  padding: 10px 5px;
  border-radius: 5px;
  transition: 0.3s;
}
.Product_Page .shareCard:hover {
  background-color: var(--themeUltraLight);
}
.Product_Page .shareIconSec {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
.Product_Page .iconName {
  margin-top: 5px;
  font-size: 13px;
  color: var(--paragraphColorBlack);
}
.Product_Page .checkImg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.8);
  opacity: 0;
  transition: 0.3s;
}
.Product_Page .infoSec {
  margin-top: 20px;
}
.Product_Page .infoSec .shopName {
  font-size: 14px;
  line-height: 24px;
  color: var(--paragraphColorBlack);
  padding: 10px;
}
.Product_Page .prodet .shopName {
  font-size: 14px;
  line-height: 24px;
  color: var(--paragraphColorBlack);
}
.Product_Page .infoGrid {
  grid-template-columns: 250px 1fr;
  border: 1px solid #00000019;
  border-bottom: none;
}
.Product_Page .infoGrid:nth-last-child(1) {
  border-bottom: 1px solid #00000019;
}
.Product_Page .tableHeading {
  border-right: 1px solid #00000019;
}
.Product_Page .topHeading {
  padding: 10px;
  border: 1px solid #00000019;
  margin-bottom: 5px;
}
@media only screen and (max-width: 900px) {
  .Product_Page .imagesV2Sticky {
    position: static;
  }
  .Product_Page .imagesV2 {
    display: flex;
    flex-direction: column-reverse;
    width: 100%;
  }
  .Product_Page .allImages {
    height: auto !important;
    width: 100%;
    grid-template-columns: repeat(5, 1fr);
    display: flex;
    overflow-x: scroll;
    margin-bottom: 10px;
    flex-direction: row;
  }
  .Product_Page .imageList {
    flex: 0 0 80px;
  }
  .Product_Page .imageList {
    width: auto;
    height: auto;
  }
  .Product_Page .slideBtn {
    display: none;
  }
  .Product_Page .mainImage {
    width: 100%;
  }
  .Product_Page .relatedHeading {
    font-size: 20px;
  }
  .Product_Page .relatedCon {
    grid-template-columns: 1fr 1fr;
  }
  .Product_Page .elementBox {
    display: flex;
    flex-direction: column;
    text-align: center;
    font-size: 12px;
  }
  .Product_Page .eleIcon {
    width: 30px;
    height: 30px;
  }
  .Product_Page .newProductPageV2Main {
    display: block;
  }
  .Product_Page .reviewsHeading {
    grid-template-columns: 1fr 1fr;
    font-size: 18px;
  }
  .Product_Page .newProductPageV2 {
    padding-bottom: 170px;
  }
  .Product_Page .enqBtns,
  .Product_Page .cartBtns {
    white-space: nowrap;
    gap: 5px;
    margin: 0;
  }
  .Product_Page .btnsArea {
    display: flex;
    flex-direction: column;
    gap: 5px;
  }
  .Product_Page .productNameV2,
  .Product_Page .priceAreaV2 {
    width: 300px;
  }
  .Product_Page .shareBtn {
    top: 0px;
    right: 0px;
    width: 40px;
    height: 40px;
  }
  .Product_Page .shareBtn svg {
    width: 20px;
  }
  .Product_Page .shareBtnBox {
    top: 45px;
    padding: 10px;
    width: 250px;
  }
  .Product_Page .shareCard {
    padding: 5px;
  }
  .Product_Page .shareIconSec {
    width: 30px;
    height: 30px;
  }
  .Product_Page .infoGrid {
    grid-template-columns: 1fr;
  }
  .Product_Page .tableHeading {
    border-right: none;
  }
  .Product_Page .bigImageCon {
    height: 100%;
  }
  .Product_Page .noAvailable {
    position: fixed;
    bottom: 0;
    left: 0;
    background: #F62B2A;
    width: -webkit-fill-available;
    padding: 10px;
    color: #FFFFFF;
    text-align: center;
    font-size: 14px;
    z-index: 9999;
  }
  .Product_Page .btnsArea {
    width: -webkit-fill-available;
  }
  .Product_Page .badgeArea {
    display: flex;
    gap: 10px;
    overflow: auto;
  }
  .Product_Page .badge {
    white-space: nowrap;
  }
}
.Product_Page .btnStyleV2 {
  width: auto;
}
.Product_Page .btnStyleV2 span {
  width: auto;
  text-transform: capitalize;
}
@media only screen and (max-width: 900px) {
  .Product_Page {
    background-attachment: scroll;
  }
}
